Bug 461454 - Review Request: lordsawar - Turn-based strategy game in a fantasy setting
Review Request: lordsawar - Turn-based strategy game in a fantasy setting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 01:18 EDT by Ian Weller
Modified: 2009-01-14 22:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch to fix crash (3.50 KB, patch)
2008-09-21 13:57 EDT, Ben Asselstine
no flags Details | Diff

  None (edit)
Description Ian Weller 2008-09-08 01:18:28 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/lordsawar/0.1.1-1/lordsawar.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/lordsawar/0.1.1-1/lordsawar-0.1.1-1.fc9.src.rpm

Description:
This game is meant to be a clone of Warlords II by SSG, but the most
important feature of this game is freedom.
Comment 1 Jason Tibbitts 2008-09-08 18:35:38 EDT
It is not generally acceptable to indicate that some software is a "clone of Foo" where "Foo" is some trademarked entity.

We generally have to handle these things on a case-by-case basis, so I'll block FE-Legal and the folks who know can comment on what needs to be changed.
Comment 2 Michael Schwendt 2008-09-15 08:34:21 EDT
Even barring legal issues, the package summary could do a better
job at describing what "lordsawar" is.

> Summary     : A clone of Warlords II

Better IMO:

Summary: Turn-based strategy game in a fantasy setting


To advertise "a clone" is rather dangerous with regard to gamers'
expectations. In particular, here it seems much must be done
before it would look and feel like the original Warlords II.
And still, the typical user with interest in games would search
for terms like "strategy", "fantasy", "role-playing", in a list
of pkg summaries or in a summary of game pkgs. It's likely that
users don't even know what "Warlords II" is - and for those who
do this is not Warlords II yet. Just advertise what this is at
present instead of what it aims at.
Comment 3 Ian Weller 2008-09-15 16:06:54 EDT
I was definitely going to do this the moment Jason talked about the legality of the description and summary, but I got sidetracked. Thanks for the reminder. 

Sometime today I'll have new stuff up and I'll remove the FE-Legal blocker. Unless that's a "bad thing".
Comment 4 Ian Weller 2008-09-17 00:01:41 EDT
Spec URL:
http://ianweller.fedorapeople.org/SRPMS/lordsawar/0.1.1-2/lordsawar.spec
SRPM URL:
http://ianweller.fedorapeople.org/SRPMS/lordsawar/0.1.1-2/lordsawar-0.1.1-2.fc9.src.rpm

* Tue Sep 16 2008 Ian Weller <ianweller@gmail.com> 0.1.1-2
- Summary and description changed
Comment 5 Michael Schwendt 2008-09-18 09:40:55 EDT
It's unstable. I'd like to advise against publishing this.

#8  <signal handler called>
#9  ArmyBase (this=0xb474d2cc, a=@0x4) at armybase.cpp:36
#10 0x0815411c in ArmyProtoBase (this=0xb474d2cc, a=@0x4)
    at armyprotobase.cpp:35
#11 0x081538bf in ArmyProdBase (this=0xb474d2c8, a=@0x0) at armyprodbase.cpp:34
#12 0x08130551 in Action_Produce::fillData (this=0xb459bdd0, army=0x0, 
    city=0x9ffa7a8, vectored=false) at action.cpp:1774
#13 0x080e4e2d in Player::cityProducesArmy (this=0x9dad800, city=0x9ffa7a8)
    at player.cpp:2985
#14 0x080a013d in City::nextTurn (this=0x9ffa7a8) at city.cpp:583
#15 0x080a5033 in Citylist::nextTurn (this=0x9bdf2d0, p=0x9dad800)
    at citylist.cpp:163
#16 0x0821d566 in NextTurnHotseat::startTurn (this=0xb4f00638)
    at NextTurnHotseat.cpp:174
#17 0x0821daaf in NextTurnHotseat::start (this=0xb4f00638)
    at NextTurnHotseat.cpp:76
#18 0x0821d922 in NextTurnHotseat::endTurn (this=0xb4f00638)
    at NextTurnHotseat.cpp:134
#19 0x08084c8f in Game::end_turn (this=0xa00c988) at game.cpp:239
#20 0x0748a392 in Glib::SignalProxyNormal::slot0_void_callback ()
   from /usr/lib/libglibmm-2.4.so.1
#21 0x00ba18b4 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#22 0x00b9412b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#23 0x00ba8ed8 in ?? () from /lib/libgobject-2.0.so.0
#24 0x00ba9ece in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#25 0x00baa336 in g_signal_emit () from /lib/libgobject-2.0.so.0
#26 0x004b4ae9 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x004b5f4a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x09f33960 in ?? ()
#29 0x07ef1700 in gtk_window_set_has_frame () from /usr/lib/libgtkmm-2.4.so.1
#30 0xbfe700c8 in ?? ()
#31 0x07d4c2d9 in Gtk::Button::on_released () from /usr/lib/libgtkmm-2.4.so.1
Comment 6 Patrice Dumas 2008-09-18 09:51:50 EDT
I was following a bit upstream development (I don't have the time
right now), and though it is indeed unstable, upstream is rather 
responsive. So maybe this could be in rawhide only until crashes 
are fixed, since otherwise it is playable (at least stand-alone)?
Comment 7 Ian Weller 2008-09-18 13:34:30 EDT
Might be GCC 4.3 issues, since the dev is on Ubuntu. I'll show him this stuff and see what he says.
Comment 8 Ben Asselstine 2008-09-21 10:19:16 EDT
This bug has been fixed in upstream.  For more information see http://savannah.nongnu.org/bugs/?24330 .
I'd like it if somebody would synchronize these bugs with the tracker on savannah so I can react more promptly.
Comment 9 Ian Weller 2008-09-21 13:26:54 EDT
Developer sending patch, will rebuild and test, then post here.
Comment 10 Ben Asselstine 2008-09-21 13:57:47 EDT
Created attachment 317326 [details]
patch to fix crash 

This patch fixes a crash in lordsawar when active neutral cities have produced a preset maximum number of army units.
Comment 12 Michael Schwendt 2008-11-22 15:01:21 EST
I'm inclined to say "let's make this a test update at least".
It works better and doesn't crash as easily as before.


Issues I've run into (and which may cause users to submit problem
reports:

 * Music became loud noise after the first fight. Pulse Audio was
still working fine (i.e. I could start a music player as a test), but
in lordsawar it needed several attempts to make the music return.

 * At the end of a test game (the remaining two enemies surrendered),
confirming "Quit" did not close the game window. I could choose and
confirm Quit again and again, but that didn't help. Killing the process
worked.


The build log contains a few interesting warnings that are worth
an investigation:

gtksdl.c:218: warning: the address of 'SDL_windowhack' will always evaluate as '
true'
playerlist.cpp:367: warning: deprecated conversion from string constant to 'char
*'
player.cpp:862: warning: suggest parentheses around && within ||


Packaging-wise it's fine.
 * A desktop menu icon could be added.
 * You could use --vendor="" instead of --vendor="fedora" when
installing the .desktop file


APPROVED
Comment 13 Ian Weller 2008-11-22 19:02:43 EST
oh ok! Thanks, Michael.

New Package CVS Request
=======================
Package Name: lordsawar
Short Description: Turn-based strategy game in a fantasy setting
Owners: ianweller
Branches: F-10
InitialCC: (if you can do email addresses...) benasselstine@gmail.com
Comment 14 Kevin Fenzi 2008-11-22 23:01:27 EST
sadly, no, we can't do arbitrary email addresses in InitialCC. ;( 

If they get a fas account we can easily add them however. 

cvs done.
Comment 15 Fedora Update System 2008-11-25 21:57:43 EST
lordsawar-0.1.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lordsawar-0.1.3-3.fc10
Comment 16 Fedora Update System 2008-11-26 21:11:36 EST
lordsawar-0.1.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lordsawar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10466
Comment 17 Fedora Update System 2008-12-19 18:08:54 EST
lordsawar-0.1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lordsawar-0.1.4-2.fc10
Comment 18 Fedora Update System 2008-12-21 03:31:29 EST
lordsawar-0.1.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lordsawar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11488
Comment 19 Fedora Update System 2009-01-14 22:08:48 EST
lordsawar-0.1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.